Bug 1258510 - [RFE] Add LANG installer Check
Summary: [RFE] Add LANG installer Check
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Bryan Kearney
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1245506
TreeView+ depends on / blocked
 
Reported: 2015-08-31 14:15 UTC by Bryan Kearney
Modified: 2019-09-25 21:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:55:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 12881 None None None 2016-04-22 16:57:24 UTC
Red Hat Bugzilla 1245506 None None None Never
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Internal Links: 1245506

Description Bryan Kearney 2015-08-31 14:15:01 UTC
There should be an instaleller check to ensure that the LANG environemnt is not set to C. This is case 1 from 1245506.

Comment 2 Bryan Kearney 2015-12-18 20:21:43 UTC
Created redmine issue http://projects.theforeman.org/issues/12881 from this bug

Comment 3 Bryan Kearney 2015-12-18 21:01:05 UTC
Upstream bug assigned to bkearney@redhat.com

Comment 4 Bryan Kearney 2016-01-07 23:01:16 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/12881 has been closed
-------------
Anonymous
Applied in changeset commit:katello-installer|e30bc930836d26367d5aafbb0eac429d907df8d6.

Comment 8 jcallaha 2016-05-05 13:29:31 UTC
Verified in Satellite 6.2 Beta RC. The installer now makes the appropriate check.

[root@mgmt5 ~]# foreman-installer
The LANG envrionment variable should not be set to C
Your system does not meet configuration criteria

Comment 10 errata-xmlrpc 2016-07-27 08:55:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.